libcurl error

If you hit any installation issues or cannot connect to your freshly installed UnrealIRCd then this forum is for you.

Moderator: Supporters

Post Reply
CrazyCat
Posts: 173
Joined: Thu Apr 28, 2005 1:05 pm
Location: France
Contact:

libcurl error

Post by CrazyCat »

Hi there,

My unrealircd is configured to use remote conf, but when I try to upgrade to unreal6, I get:

Code: Select all

checking curl_easy_init() in -L/home/zeolia/unrealircd/lib -lcurl... no
configure: error: in `/home/zeolia/unrealircd-6.0.0':
configure: error: You asked for libcURL (remote includes) support, but it can't be found at /home/zeolia/unrealircd-5.2.1.1/extras/curl
See `config.log' for more details
ERROR: ./Config failed
CrazyCat
Posts: 173
Joined: Thu Apr 28, 2005 1:05 pm
Location: France
Contact:

Re: libcurl error

Post by CrazyCat »

Ok, my bad, libcurl4-openssl-dev wasn't installed on the server.
If I remember well, previous versions of unreal had the option to install curl if needed, am I wrong ?
Syzop
UnrealIRCd head coder
Posts: 2016
Joined: Sat Mar 06, 2004 8:57 pm
Location: .nl
Contact:

Re: libcurl error

Post by Syzop »

It should ask and detect during ./Config yeah.

But I see it picks up the curl at /home/zeolia/unrealircd-5.2.1.1/extras/curl? When you're installing UnrealIRCd 6.0.0.. that doesn't sound right.
Could be a bug.
CrazyCat
Posts: 173
Joined: Thu Apr 28, 2005 1:05 pm
Location: France
Contact:

Re: libcurl error

Post by CrazyCat »

It was an update test, it looks like the system takes the path I gave when compiling the previous version.
BTW, I didn't remember having setted up this path, I'm pretty sure it cames from the "let us install curl for you" option.
Syzop
UnrealIRCd head coder
Posts: 2016
Joined: Sat Mar 06, 2004 8:57 pm
Location: .nl
Contact:

Re: libcurl error

Post by Syzop »

I did not mention here but this problem was fixed in UnrealIRCd 6.0.1.
Post Reply